using System.Collections.Generic;
using TEAMModelOS.SDK.Models.Cosmos.Common;

namespace TEAMModelOS.SDK.Models
{
    public class SyllabusTree : Tnode
    {
        public SyllabusTree() {
            children = new List<SyllabusTree>();
        }
        public List<SyllabusTree> children { get; set; }
    }
    public class SyllabusTreeNode {

        public SyllabusTreeNode(){
            trees = new List<SyllabusTree>();
        }
        /// <summary>
        /// 课纲章节id
        /// </summary>
        public string  id { get; set; }
        /// <summary>
        /// 册别的id
        /// </summary>
        public string volumeId { get; set; }
       // public string code { get; set; }
        public string scope { get; set; }
        public  List<SyllabusTree>  trees  { get; set; }

        public List<SyllabusAuth> auth { get; set; } = new List<SyllabusAuth>();
    }
}
